
/* This file is part of Jeedom.
*
* Jeedom is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Jeedom is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Jeedom. If not, see <http://www.gnu.org/licenses/>.
*/
$('#typeEq').change(function(){
});
/////////////////////////////////
 $(".eqLogic").delegate(".listCmdInfo", 'click', function () {
    var el = $(this).closest('.form-group').find('.eqLogicAttr');
    jeedom.cmd.getSelectModal({cmd: {type: 'info'}}, function (result) {
        if (el.attr('data-concat') == 1) {
            el.atCaret('insert', result.human);
        } else {
            el.value(result.human);
        }
    });
});
///////////////////////////////////
 $("body").delegate(".listCmdAction", 'click', function () {
    var type = $(this).attr('data-type');
    var el = $(this).closest('.' + type).find('.expressionAttr[data-l1key=cmd]');
    jeedom.cmd.getSelectModal({cmd: {type: 'action'}}, function (result) {
        el.value(result.human);
        jeedom.cmd.displayActionOption(el.value(), '', function (html) {
            el.closest('.' + type).find('.actionOptions').html(html);
        });

    });
});

///////////////////////////////////

$('#bt_cronGenerator').on('click',function(){
   jeedom.getCronSelectModal({},function (result) {
       $('.eqLogicAttr[data-l1key=configuration][data-l2key=autorefresh]').value(result.value);
   });
});

$('.eqLogicAttr[data-l1key=configuration][data-l2key=th_type]').on('change',function(){
    $('#img_migoModel').attr('src','plugins/migoThermostat/core/img/'+$(this).value()+'.png');
    $(".eqName").empty().append($('.eqLogicAttr[data-l1key=name]').value());
	if ($(this).value()=='VtPlug') {
		$('#modulefirm').hide();
		$('#boostmaxt').hide();
		$('#awaymaxt').hide();
		$('#maxdefault').hide();
		$('#adv_config').hide();
		$('#temp-in').hide();
		$('#div_modes').hide();
	} else {
		$('#modulefirm').show();
		$('#boostmaxt').show();
		$('#awaymaxt').show();
		$('#maxdefault').show();
		$('#adv_config').show();
		$('#temp-in').show();
		$('#div_modes').show();
	}
});



 
 
$('#bt_healthmigothermostat').on('click', function () {
    $('#md_modal').dialog({title: "{{Santé migoThermostat}}"});
    $('#md_modal').load('index.php?v=d&plugin=migoThermostat&modal=health').dialog('open');
});

$('#bt_testnagraphs').on('click', function () {
	$('#md_modal').dialog({title: "{{Panel test}}"});
	$('#md_modal').load('../../plugins/migoThermostat/desktop/php/panel.php').dialog('open');
});


$("#table_cmdi").sortable({axis: "y", cursor: "move", items: ".cmd", placeholder: "ui-state-highlight", tolerance: "intersect", forcePlaceholderSize: true});

$("#table_cmda").sortable({axis: "y", cursor: "move", items: ".cmd", placeholder: "ui-state-highlight", tolerance: "intersect", forcePlaceholderSize: true});
 
function addCmdToTable(_cmd) {
        if (!isset(_cmd)) {
            var _cmd = {configuration: {}};
        }
        if (!isset(_cmd.configuration)) {
            _cmd.configuration = {};
        }
    	var tr = '<tr class="cmd" data-cmd_id="' + init(_cmd.id) + '">';
		tr += '<legend><i class="fas fa-info"></i> Commandes Infos</legend>';
		tr += '<td>';
		tr += '<span class="cmdAttr" data-l1key="id" ></span>';
		tr += '</td>';
		
		tr += '<td>';
		tr += '<input class="cmdAttr form-control input-sm" data-l1key="name" >';
		tr += '</td>';
	   
		tr += '<td>';
		//tr += '<span class="cmdAttr" data-l1key="type"></span>';
		//tr += '   /   ';
		tr += '<span class="cmdAttr" data-l1key="subType"></span>';
		tr += '</td>';
	   	tr += '<td>';
            
  		if (typeof jeeFrontEnd !== 'undefined' && jeeFrontEnd.jeedomVersion !== 'undefined') {
            tr += '<span class="cmdAttr" data-l1key="htmlstate"></span>';
            
    	}
		tr += '</td>';
  
		tr += '<td>';
		tr += '<span><label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isVisible" checked/>{{Afficher}}</label></span> ';
		if (init(_cmd.subType) == 'numeric' || init(_cmd.subType) == 'binary') {
			tr += '<label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isHistorized" checked/>{{Historiser}}</label></span> ';
		}
	  
		tr += '</td>';
		tr += '<td>';
		if (is_numeric(_cmd.id)) {
			tr += '<a class="btn btn-default btn-xs cmdAction expertModeVisible" data-action="configure"><i class="fas fa-cogs"></i></a> ';
			//tr += '<a class="btn btn-default btn-xs cmdAction" data-action="test"><i class="fas fa-rss"></i> {{Evaluer}}</a>';
		}
    
        tr += '<i class="fas fa-minus-circle pull-right cmdAction cursor" data-action="remove" style="margin-top: 3px"></i></td>';
        tr += '</tr>';

        if (init(_cmd.type) == 'info') {
            $('#table_cmdi tbody').append(tr);
            $('#table_cmdi tbody tr:last').setValues(_cmd, '.cmdAttr');
        }
  		/*
        else if ( init(_cmd.logicalId).substring(init(_cmd.logicalId).length-6, init(_cmd.logicalId).length) == 'mobile'){
            var tr = '<tr class="cmd" data-cmd_id="' + init(_cmd.id) + '">';
            tr += '<legend><i class="fas fa-info"></i> Commandes mobiles</legend>';
            tr += '<td>';
            tr += '<span class="cmdAttr" data-l1key="id" ></span>';
            tr += '</td>';

            tr += '<td>';
            tr += '<input class="cmdAttr form-control input-sm" data-l1key="name" >';
            tr += '</td>';

            tr += '<td>';
            //tr += '<span class="cmdAttr" data-l1key="type"></span>';
            //tr += '   /   ';
            tr += '<span class="cmdAttr" data-l1key="subType"></span>';
            tr += '</td>';

            tr += '<td>';
            tr += '<span><label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isVisible" checked/>{{Afficher}}</label></span> ';
            if (init(_cmd.subType) == 'numeric' || init(_cmd.subType) == 'binary') {
                tr += '<label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isHistorized" checked/>{{Historiser}}</label></span> ';
            }

            tr += '</td>';
            tr += '<td>';
            if (is_numeric(_cmd.id)) {
                tr += '<a class="btn btn-default btn-xs cmdAction expertModeVisible" data-action="configure"><i class="fas fa-cogs"></i></a> ';
                tr += '<a class="btn btn-default btn-xs cmdAction" data-action="test"><i class="fas fa-rss"></i> {{Tester}}</a>';
            }

            tr += '<i class="fas fa-minus-circle pull-right cmdAction cursor" data-action="remove"></i></td>';
            tr += '</tr>';
            $('#table_cmdam tbody').append(tr);
            $('#table_cmdam tbody tr:last').setValues(_cmd, '.cmdAttr');
		
    	}*/
        else {


            var tr = '<tr class="cmd" data-cmd_id="' + init(_cmd.id) + '">';
            tr += '<legend><i class="fas fa-info"></i> Commandes mobiles</legend>';
            tr += '<td>';
            tr += '<span class="cmdAttr" data-l1key="id" ></span>';
            tr += '</td>';

            tr += '<td>';
            tr += '<input class="cmdAttr form-control input-sm" data-l1key="name" >';
            tr += '</td>';

            tr += '<td>';
            //tr += '<span class="cmdAttr" data-l1key="type"></span>';
            //tr += '   /   ';
            tr += '<span class="cmdAttr" data-l1key="subType"></span>';
            tr += '</td>';
            tr += '<td>';
            if (typeof jeeFrontEnd !== 'undefined' && jeeFrontEnd.jeedomVersion !== 'undefined') {
                tr += '<span class="cmdAttr" data-l1key="htmlstate"></span>';

            }
            tr += '</td>';
            tr += '<td>';
            tr += '<span><label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isVisible" checked/>{{Afficher}}</label></span> ';
            if (init(_cmd.subType) == 'numeric' || init(_cmd.subType) == 'binary') {
                tr += '<label class="checkbox-inline"><input type="checkbox" class="cmdAttr checkbox-inline" data-l1key="isHistorized" checked/>{{Historiser}}</label></span> ';
            }

            tr += '</td>';
            tr += '<td>';
            if (is_numeric(_cmd.id)) {
                tr += '<a class="btn btn-default btn-xs cmdAction expertModeVisible" data-action="configure"><i class="fas fa-cogs"></i></a> ';
                tr += '<a class="btn btn-default btn-xs cmdAction" data-action="test"><i class="fas fa-rss"></i> {{Tester}}</a>';
            }

        tr += '<i class="fas fa-minus-circle pull-right cmdAction cursor" data-action="remove"></i></td>';
        tr += '</tr>';
        $('#table_cmda tbody').append(tr);
        $('#table_cmda tbody tr:last').setValues(_cmd, '.cmdAttr');

        }
        
    }






$('#div_pageContainer').off('click','.bt_removeTrigger').on('click','.bt_removeTrigger',  function (event) {
  $(this).closest('.trigger').remove();
});


function jinitTableSorter0() {
  $(".tablesorter").each(function () {
    var widgets = ['uitheme', 'zebra'];
    $(".tablesorter").tablesorter({
      theme: "bootstrap",
      //widthFixed: true,
      headerTemplate: '',
      widgets: widgets,
      widgetOptions: {
        resizable: false,
        stickyHeaders: '',
        //stickyHeaders_offset: $('header.navbar-fixed-top').height(),
        zebra: ["ui-widget-content even", "ui-state-default odd"],
      }
    });
  });
}