<?php
require_once dirname(__FILE__) . '/../../../../core/php/core.inc.php';
//require_once dirname(__FILE__) . '/../../3rdparty/Migo/autoload.php';

//$data = array();
//migoThermostat::getClient('null');
//$data = migoThermostat::$_data;

$eqLogics = eqLogic::byType('migoThermostat', true);
foreach ($eqLogics as $eqLogic) {
	
	$ids = explode('|', $eqLogic->getLogicalId());
	$deviceid= $ids[0];
	$moduleid= $ids[1];
	$name_device  = $eqLogic->getName();		
				
				
	$lastmesures = migoThermostatGraph::getDataAll($deviceid, $moduleid);
  	log::add('migoThermostat', 'debug',__FUNCTION__ ." lastmesures: " .json_encode($lastmesures, JSON_UNESCAPED_UNICODE, JSON_PRETTY_PRINT ));
	$tempmin_module = $lastmesures['today']['min_temp'];	
	$tempmax_module = $lastmesures['today']['max_temp'];
		
	/*$now = strtotime(date('Y-m-d H:i'));
	$today = strtotime('Today');
	$yesterday = strtotime('Today -1 day');
		
	$difftime=($now-$today)/3600;//nb heuees
	$sumboileron_today = $lastmesures['today']['sum_boiler_on'];
	$sumboileroff_today = $lastmesures['today']['sum_boiler_off'];
	$sumboileron_yesterday = $lastmesures['yesterday']['tx_on'];
	$sumboileroff_yesterday = $lastmesures['yesterday']['sum_boiler_on'];
		
		
	////
	$format = '%02d:%02d';
	$dure_y=$taux_yesterday % 1440;
	$heure_y=floor($dure_y / 60);
	$minute_y=floor($dure_y % 60);
	*/
  
  
  	$taux_today= $lastmesures['today']['tx_on'];
	$dure_today= date('H:i', mktime(0, $lastmesures['today']['duree_on']));
	
  	$taux_yesterday = $lastmesures['yesterday']['tx_on'];
	$dure_yesterday = date('H:i', mktime(0, $lastmesures['today']['duree_on']));
	//echo '</br>dure_yesterday: '.$dure_yesterday;
		
	$gazhw = ( $lastmesures['today']['sum_energy_gaz_heating']/1000).'|'.($lastmesures['yesterday']['sum_energy_gaz_heating']/1000);
	$elechw = ( $lastmesures['today']['sum_energy_elec_heating']/1000).'|'.($lastmesures['yesterday']['sum_energy_elec_heating']/1000);
	$gazecs = ( $lastmesures['today']['sum_energy_gaz_hot_water']/1000).'|'.($lastmesures['yesterday']['sum_energy_gaz_hot_water']/1000);
	$elececs= ( $lastmesures['today']['sum_energy_elec_hot_water']/1000).'|'.($lastmesures['yesterday']['sum_energy_elec_hot_water']/1000);
		
	$flow_sp = $lastmesures['now']['flow_setpoint'];
		
	foreach ($eqLogic->getCmd('info') as $cmd){
		$cmdi[$cmd->getLogicalId()] = $cmd->execCmd();
	}
}


	
	$type1="min_temp,max_temp,Temperature,Sp_Temperature,BoilerOn,BoilerOff,flow_setpoint,energy_gaz_heating,energy_gaz_hot_water,energy_elec_heating,energy_elec_hot_water";
	$vala=array();
	$type11=array('min_temp'=>'°C','max_temp'=>'°C','Temperature'=>'°C','Sp_Temperature'=>'°C','BoilerOn'=>'sec','BoilerOff'=>'sec','flow_setpoint'=>'°C','energy_gaz_heating'=>'kWh','energy_gaz_hot_water'=>'kWh','energy_elec_heating'=>'kWh','energy_elec_hot_water'=>'kWh');
	$type12=array('sum_boiler_on'=>'min','sum_boiler_off'=>'min','sum_energy_elec_heating'=>'kWh','sum_energy_elec_hot_water'=>'kWh','sum_energy_gaz_heating'=>'kWh','sum_energy_gaz_hot_water'=>'kWh');
		
?>



<!---->
<section class="content">
<div class="panel" >
<!-- style="background-color : #353A40;" #b2b1b0
    -->
    
     
    <div class="row"  style="background-color : #353A40;" id="title" >
	<h2 id="title_name"></h2>
	</div>
   <div class="row"  style="margin-top: 15px; background-color :#41474F;">
			
		<div class="col-lg-2 col-md-2 col-sm-2 col-xs-12 info_sonde" > 
			</br>
			<ul class="nav nav-tabs infmenu" role="tablist" style="">
					<li role="presentation" class="li-xs"><a href="#tabinfo1" aria-controls="tabinfo1" role="tab" data-toggle="tab" aria-expanded="true" data-type="70:ee:50:2c:3d:40" value="01:01:01:21:11:11"  class="option_id" name="VtTherm" >Infos</a></li>
					<li role="presentation" class="li-xs"><a href="#tabinfo2" aria-controls="tabinfo2" role="tab" data-toggle="tab" aria-expanded="false">Infos2</a></li>
					<li role="presentation" class="li-xs"><a href="#tabinfo3" aria-controls="tabinfo3" role="tab" data-toggle="tab" aria-expanded="true">+++</a></li>
				</ul>
			
			
			
			<div class="list-group panel" style="background-color :#353A40;">
				<div class="tab-content" >
					<div role="tabpanel" class="tab-pane active" id="tabinfo1" style=""><!-- ******* gris claire: #ff84cc; #b2b1b0-->	
						<!-- ************** -->	
					</br>
						<div class="row" style="margin-top : -10px;">		
							<div class="col-lg-7 col-md-12 col-sm-12 col-xs-12 tempmoduleleft" style="">
								<div class="strong_temp" style="margin-top : 12px;" >
									<img src="plugins/migoThermostat/core/img/sonde.png" style="height: 30px; margin-top : -5px; ">
									<span style="font-size : 1.6em; font-weight: bold; color:#fcfcfc;" class="temp_module_left">
									<?php echo number_format(round($cmdi['temperature']*10/10, 1), 1, '.', ','); ?> </span><span class="unit" style="font-size : 1.6em; color:#fcfcfc;"> °</span>
								</div>
							</div> 
						<!--  -->
							<div class="col-lg-5 col-md-12 col-sm-12 col-xs-12  tempminleft" style="margin-top : 5px;">
								
								<div class="strong_min" style="font-size : 1.0em; color:#fcfcfc">
									<img src="plugins/migoThermostat/core/img/min.png" style="width: 10%; height: 10%">
									<span style="font-size : 1.0em; color:#3498db; "  class="temp_min_left">
									<?php echo $tempmin_module ; ?> °</span>
								</div>
							</div>
							
							<div class="col-lg-5 col-md-12 col-sm-12 col-xs-12 tempmaxleft" style="margin-top : 5px;">
								<div class="strong_max " style="font-size : 1.0em; color:#fcfcfc ">
									<img src="plugins/migoThermostat/core/img/max.png" style="width: 10%; height: 10%;">
									<span style="font-size : 1.0em; color:#DC143C; text-align: right;" class="temp_max_left">
									<?php echo $tempmax_module ; ?> °</span>
								</div>
							</div>
						</div>	
						<hr/>
						
						 
						
						<div class="row" style="margin-top : -10px;">
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 exttempleft" style="margin-top : 0px;">
								<div class="strong_exttemp" style="margin-left : 5px;" >Temp-Ext: 
									<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="exttemp_left">
									<?php echo $cmdi['outbasetemp']; ?></span>
									<span class="unit" style="font-size : 1.2em; color:#78aae8;"> °</span>
								</div>
						 	</div>
						 			
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 consmoduleleft" style="margin-top : 0px;">
								<div class="strong_cons" style="margin-left : 5px;" >Consigne: 
										<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="temp_cons_left">
										<?php echo number_format(round($cmdi['consigne']*10/10, 1), 1, '.', ','); ?></span>
										<span class="unit" style="font-size : 1.2em; color:#78aae8;"> °</span>
								</div>
								<div class="strong_flowsp" style="margin-left : 5px;" >Consigne Hwb: 
										<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="flowsp_left">
										<?php echo $flow_sp; ?></span>
										<span class="unit" style="font-size : 1.2em; color:#78aae8;"> °</span>
								</div>
								<div class="strong_ecssp" style="margin-left : 5px;" >Consigne Ecs: 
										<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="ecssp_left">
										<?php echo $cmdi['ecstemp']; ?></span>
										<span class="unit" style="font-size : 1.2em; color:#78aae8;"> °</span>
								</div>
							</div>
						</div><!-- row -->  
						<hr />  
						
						<div class="row" style="margin-top : -10px;">
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 curveleft">
								<div class="strong_max" style="margin-left : 5px;">Courbe perso:  
									<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="curve_left">
										<?php echo explode( '|' , $cmdi['curve'])[1]; ?></span>
									
								</div>
							</div>
												
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 rcurveleft">
								<div class="strong_min" style="margin-left : 5px;">Courbe réelle:  
									<span style="font-size : 1.0em; font-weight: ;color:#78aae8" class="rcurve_left">
										<?php echo explode( '|' , $cmdi['curve'])[0]; ?></span>
									
								</div>                  
							</div>

						</div><!-- row -->
						<hr /> 
						 
						<div class="row" style="margin-top : -10px;">		
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 boilermodeleft" style="margin-top : 5px;">
								<div class="strong_boilermode" style="margin-left : 5px;" >Mode chaudiere:  
										<span style="font-size : 1.0em; font-weight: ; color:#DC143C" class="boilermode_left">
										<?php echo $cmdi['boilermode']; ?></span>
								</div>
							</div>
							
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 modeleft" style="margin-top : 5px;">
								<div class="strong_modeleft" style="margin-left : 5px;" >Mode chauffage: 
										<span style="font-size : 1.0em; font-weight: ; color:#DC143C" class="mode_left">
										<?php echo $cmdi['mode']; ?></span>
								</div>
							</div>
							
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 offsetleft" style="margin-top : 5px;">
								<div class="strong_offset"style="margin-left : 5px;" >Offset Température: 
										<span style="font-size : 1.0em; font-weight: ; color:#DC143C" class="offset_left">
										<?php echo $cmdi['offset']; ?></span>
								</div>
							</div>
						</div><!-- row -->                  
						<hr />                   
						<!--					
						<div class="row" style="margin-top : -15px;">
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 tempmoduleleft">
								<div class="strong_status">Signal : <img src="plugins/migoThermostat/docs/icone/signal_full.png" style="width: 15%; height: 15%">
								</div>
							</div>
						</div> 
						row -->
						<hr/>
					</div>
					<!--/tabinfo1-->
					<!--tabpanel-->
					<div role="tabpanel" class="tab-pane" id="tabinfo2"><br>
						<div class="form-group">
							
							
							
						<div class="row" style="margin-top : -10px;">
							<label class="col-lg-12 col-md-12 col-sm-12 col-xs-12">Durée allumage : </label>
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 dureeleft">
								
								<div class="strong_duretoday" style="margin-left : 8px;">Aujourd'hui:  
									<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="curve_left">
										<?php echo $dure_today; ?> min</span>
									
								</div>
								<div class="strong_dureyesterday" style="margin-left : 8px;">Hier:  
										<span style="font-size : 1.0em; font-weight: ;color:#78aae8" class="rcurve_left">
											<?php echo $dure_yesterday; ?> min</span>
										
								</div>                  
							</div>
						</div>
					<!-- row -->  
						
						<hr /> 
						 
						<div class="row" style="margin-top : -15px;">
							<label class="col-lg-12 col-md-12 col-sm-12 col-xs-12">Conso Gaz : </label>
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 curveleft">
								
								<div class="strong_max" style="margin-left : 8px;">Chauffage:  
									<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="curve_left">
										<?php echo $gazhw; ?> kWh</span>
									
								</div>
								<div class="strong_min" style="margin-left : 8px;">ECS:  
										<span style="font-size : 1.0em; font-weight: ;color:#78aae8" class="rcurve_left">
											<?php echo $gazecs; ?> kWh</span>
										
								</div>                  
							</div>

						</div><!-- row -->
						<hr /> 
						 
						<div class="row" style="margin-top : -15px;">
							<label class="col-lg-12 col-md-12 col-sm-12 col-xs-12">Conso Elec : </label>
							<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 curveleft">
								
								<div class="strong_max" style="margin-left : 8px;">Chauffage:  
									<span style="font-size : 1.0em; font-weight: ; color:#78aae8" class="curve_left">
										<?php echo $elechw; ?> kWh</span>
									
								</div>
								<div class="strong_min" style="margin-left : 8px;">ECS:  
										<span style="font-size : 1.0em; font-weight: ;color:#78aae8" class="rcurve_left">
											<?php echo $elececs; ?> kWh</span>
										
									</div>                  
								</div>

						</div><!-- row -->
						<hr />                   
											
						</div>
					</div>
					<!--tabinfo2-->
					
					<div role="tabpanel" class="tab-pane" id="tabinfo3"><br>
					<div class="row" style="margin-top : -15px;">
						<div class="form-group">
							<div class="col-sm-1 peur">
								<a class="btn btn-info clic" id="clic"  style="" >cliquer ici pou</a>
										
							</div>
						</div>
						</div><!-- row -->
					</div>
					<!--tabinfo3-->
					
				</div><!--tab-content-->			
			</div><!--list-group panel-->
			
			
			 </br></br>
	
			
             	
             	
             	
              
              
             
		</div>   <!--  class="col-lg-2 -->   
		<!-- info_sonde -->
		<div class="col-lg-8 col-md-8 col-sm-8" >
			<!-- <select mame="modules" id="modules" class="select_modules">-->
                        <!--bouttons selection équipement-->
						<?php
						$eqLogics = migoThermostatGraph::treeById('migoThermostat');
						if(count($eqLogics) <= 1){
							$display='display:none';
						}
						
						echo '<div class="eqlogics_list"><ul class="nav nav-tabs eqtabs" style="'.$display.'" >';	

                        foreach ($eqLogics as $eqLogic) {	
							if (is_object($eqLogic) && $eqLogic->getConfiguration('type')=='VtTherm') {
								$ids = explode('|', $eqLogic->getLogicalId());
								$deviceid= $ids[0];
								$moduleid= $ids[1];
	
									echo '  <li ><a href="#" '
										.'" data-type="'.$deviceid
										.'" value="'.$moduleid
										.'" device="'.$eqLogic->getLogicalId()
										.'" class="option_id" name="'.$eqLogic->getConfiguration('type')
										
										.'" datali="temp"  >' 
										. $eqLogic->getName() .'</a></li>';
							}	
						}
						echo '</ul></div>';

                        ?>
                      

                    <div class="graph col-lg-12 col-md-12 col-sm-12">
					       <div class="time-selection clearfix">
                            	<div class="btn-group">
									<a class="delay btn btn-default" name="day" id="30min" >Jour</a><!---->
									<a class="delay btn btn-default" name="week" id="3hours" >Semaine</a>
									<a class="delay btn btn-default" name="month" id="1day" >Mois</a>
									<a class="delay btn btn-default" name="year" id="1week" >Année</a>
                                </div>
				<div class="pull-right">
                                     <label for="startDate">{{Du :}}</label>
                                     <input name="startDate" id="select_date_begin" class="select_date" />  
                                     <input type="hidden" id="timestamp_start"  value=""  />                     
                                     <label for="endDate">{{au :}}</label>
                                     <input name="endDate" id="select_date_end" class="select_date" /> 
                                     <input type="hidden" id="timestamp_end" value=""   /> 
                                     <a class="btn btn-default"  id="valid_time" ><i class="fas fa-check"></i></a>  
                                 </div>  
                             </div>                           


                            <div id="container" ></div>
                            
                            <!-- Bouttons choix grapique à afficher Rain Gauge srain1/sum_rain_1h--srain24/sum_rain_24}
                            <a class="btn btn-primary btn-sm data temp" id="Temperature" name="Température"  data-tag="Température" data-unit=" °C" >Temp</a>
									
                            -->
                            
                             <div style="text-align:center;" class="graph col-lg-12 col-md-12 col-sm-12 btndata">
								 <div style="text-align:center;" class="graph col-lg-12 col-md-12 col-sm-12 btndata">
										<a class="btn btn-primary btn-xs data temp active " id="Temperature" name="Température"  data-tag="Température" data-unit="°C" >Temp</a>
										<a class="btn btn-primary btn-xs data tempall" id="Temperature,Sp_Temperature,flow_setpoint" name="Températures" data-tag="Température,Consigne,Consigne Hwb" data-unit="°C,°C,°C" >Températures</a>
										<a class="btn btn-primary btn-xs data tempmm" id="min_temp,max_temp" name="Tempminmax" data-tag="Température min,Température max" data-unit="°C,°C" >Temp min-max</a>
										
										
										<!--
										<a class="btn btn-primary btn-xs data flow" id="flow_setpoint" name="Flowtemp"  data-tag="Consigne Hwb" data-unit=" °C" >HWB_Temp</a>
										
										<a class="btn btn-primary btn-xs data sumboiler" id="sum_boiler_on,sum_boiler_off" name="Durée On-Off" data-tag="SumboilerOn,SumboilerOff"  style="" data-unit="Sec,Sec" >Sum.Boiler</a>
										<a class="btn btn-primary btn-xs data cons" id="Sp_Temperature" name="Consigne"  data-tag="Consigne" data-unit=" °C" >Consigne</a>
										<a class="btn btn-primary btn-xs data tempcons" id="Temperature,Sp_Temperature" name="TempCons" data-tag="Température,Consigne" data-unit="°C,°C" >Temp-Cons</a>
										<a class="btn btn-primary btn-xs data boiler" id="BoilerOn,BoilerOff" name="Boiler" data-tag="BoilerOn,BoilerOff"  style="" data-unit="Sec,Sec" >Boiler</a>
										<a class="btn btn-primary btn-xs data boilerOff" id="boilerOff" name="BoilerOff" data-tag="Durée Off" style="display:none;" data-unit="Sec" >B.Off</a>
										<a class="btn btn-primary btn-xs data boilerOn" id="boilerOn" name="BoilerOn"  data-tag="Durée On" data-unit=" Sec" style="">B.On</a>
										<a class="btn btn-primary btn-xs data tempall" id="Temperature,min_temp,max_temp" name="Temp All" data-tag="Température,TempMin,TempMax" data-unit="°C,°C,°C" >Temp-All</a>
										 -->                              
									</div>  
									<div style="text-align:center;" class="graph col-lg-12 col-md-12 col-sm-12 btndata">
											
										<a class="btn btn-info btn-xs data gaz" id="energy_gaz_hot_water,energy_gaz_heating" name="gaz"  data-tag="Gaz-Ecs,Gaz-Heat" style="" data-unit="W,W" >Gaz</a>
										<a class="btn btn-info btn-xs data elec" id="energy_elec_hot_water,energy_elec_heating" name="elec" data-tag="Elec-Ecs,Elec-Heat" style="" data-unit="W,W" >Elec</a>
										<a class="btn btn-info btn-xs data sumgaz" id="sum_energy_gaz_hot_water,sum_energy_gaz_heating" name="Sumgaz" data-tag="Conso_GazEcs,Conso_GazHeat"  style="" data-unit="W,W" >Conso Gaz</a>
										<a class="btn btn-info btn-xs data sumelec" id="sum_energy_elec_hot_water,sum_energy_elec_heating" name="Sumelec" data-tag="Conso_ElecEcs,Conso_ElecHeat"  style="" data-unit="W,W" >Conso Elec</a>
										<a class="btn btn-info btn-xs data sumboiler" id="sum_boiler_on,sum_boiler_off" name="Sumboiler" data-tag="SumboilerOn,SumboilerOff"  style="" data-unit="Sec,Sec" >Boiler On/Off</a>
										<!----> 
									</div> 
								
									
                           </div>       
                    </div> 
                    <div class="stat col-lg-12 col-md-12 col-sm-12">                  
                    <div id="container_stat" ></div>  
                    </div>     
        </div>  
        
		
		
		<div class="col-lg-2 col-md-2 col-sm-2 col-xs-12 compare_sonde" style="color:#353A40; height: 100%;"> 
		<!--style="color:#f7f7f7; background-color :#353A40" style="background-color :#353A40" #f7f7f7-->
		<br>
		<div id="historicMenu" style="color:#f7f7f7;">
			<div class="list-group panel statpan" >
				<!-- home -->
				
				<a href="#" class="list-group-item statpan" data-parent="#historicMenu" id="return_home" style="color:#f7f7f7; background-color :#353A40;font-weight: bold;"><!--  style="color:#0099ff;" -->
					<i class="fas fa-home" style="margin-left:-5px;"></i> HOME</a>
					
				<!-- Historique annuel -->
				<a href="#history" class="list-group-item statpan" data-toggle="collapse" data-parent="#historicMenu" style="color:#f7f7f7; background-color :#353A40">
					<i class="fas fa-chart-line" style="margin-left:-5px; "></i> Historique Annuel<i class="fas fa-caret-down" style="margin-left:5px" ></i></a>
               	
				<div class="collapse" id="history" style="background-color :#353A40;">
					
					<a href="#" class="list-group-item temp" id="Température" data-unit=" °C" value="Temperature" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-thermometer-full" style="margin-right:5px"></i>Température</span></a>
					
					<a href="#" class="list-group-item cons" id="Consigne" data-unit=" °C" value="Sp_Temperature" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-tint" style="margin-right:5px;"></i>Consigne</span></a>
					
					<a href="#" class="list-group-item sumboiler" id="SumBoiler" data-unit=" Sec" value="sum_boiler_on" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-tint" style="margin-right:5px;"></i>Durée On</span></a>
					
					<a href="#" class="list-group-item boiler" id="BoilerOff" data-unit=" Sec" value="sum_boiler_off" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-tint" style="margin-right:5px;"></i>Durée Off</span></a>
					
					<a href="#" class="list-group-item sum_gazh" id="sum_gazh" data-unit="W" value="sum_energy_gaz_heating" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-cloud" style="margin-right:5px; "></i>Conso-Gaz Heat</span></a>
					<a href="#" class="list-group-item sum_gazhw" id="sum_gazhw" data-unit="W" value="sum_energy_gaz_hot_water" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-volume-up" style="margin-right:5px; "></i>Conso-Gaz Ecs</span></a>
					
					<a href="#" class="list-group-item sum_elec_h" id="sum_elec_hw" data-unit="W" value="sum_energy_elec_hot_heating"  class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-globe" style="margin-right:5px; "></i>Conso-Elec Heat</span></a>
					
					<a href="#" class="list-group-item sum_elec_hw" id="sum_elec_hw" data-unit="W" value="sum_energy_elec_hot_water" class="year " style="color:#f7f7f7; background-color :#353A40">
						<span><i class="fas fa-tint" style="margin-right:5px; "></i>Conso-Elec Ecs</span></a>
					<!---->
                 
                 
				 </div>                
               
               
               
               <!-- //Statistic annuelles-->
                <a href="#statistic_a" class="list-group-item list-group-item" data-toggle="collapse" data-parent="#historicMenu" style="color:#f7f7f7; background-color :#353A40">
					<i class="fas fa-table" style="margin-left:-5px"></i> Statistiques Annuelles<i class="fas fa-caret-down" style="margin-left:5px" ></i></a>
                <div class="collapse statistic_year" id="statistic_a">
                    
                    
                     <?php 
						$eqcount= count(migoThermostatGraph::treeById('migoThermostat','enable'));
					   $i=1;
					    foreach (migoThermostatGraph::treeById('migoThermostat','enable') as $eqlogic) {
							   
							if ($eqcount > 1) {
								$type = $eqlogic->getConfiguration('type');
								echo '<a href="#SubMenu' . $i .'" class="list-group-item" data-toggle="collapse"  style="color:#f7f7f7; background-color :#353A40" data-parent="#SubMenu' . $i .'">
									<span>'.$eqlogic->getName().'</span> <i class="fas fa-caret-down"></i></a>';
								echo '<div class="collapse list-group-submenu statistic_year" id="SubMenu' . $i .'" >';
							}  
							   
							    
							    echo '<a href="#" class="list-group-item tem" data-parent="#SubMenu' . $i .'"  style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."Temperature,max_temp,min_temp"
										.'" data_info="'."Température moyenne,Température maximum,Température minimum"
										.'" title="tem" >
										<span style="margin-left:20px"><i class="fas fa-thermometer-full" style="margin-right:5px"></i> 
										Température</span></a>';
								
								echo '<a href="#" class="list-group-item cons" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."Temperature,Sp_Temperature"
										.'" data_info="'."Température,Consigne"
										.'" title="cons" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Consigne</span></a>';
								echo '<a href="#" class="list-group-item boiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."BoilerOn,BoilerOff"
										.'" data_info="'."Durée Moyenne On,Durée Moyenne Off"
										.'" title="boiler" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										boiler</span></a>';
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."energy_gaz_heating,energy_gaz_hot_water"
										.'" data_info="'."Conso Moyenne gaz heat,Conso Moyenne gaz water"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Moy-Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."energy_elec_heating,energy_elec_hot_water"
										.'" data_info="'."Conso Moyenne Elec heat,Conso Moyenne Elec water"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Moy-Elec</span></a>';
								echo '<a href="#" class="list-group-item sumboiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_boiler_on,sum_boiler_off"
										.'" data_info="'."Durée On,Durée Off"
										.'" title="sum_boiler" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Durée On-Off</span></a>';
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_energy_gaz_heating,sum_energy_gaz_hot_water"
										.'" data_info="'."Conso gaz heat,Conso gaz water"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_energy_elec_heating,sum_energy_elec_hot_water"
										.'" data_info="'."sConso Elec heat,Conso Elec water"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso Elec</span></a>';
								echo '<a href="#" class="list-group-item hwb" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."flow_setpoint"
										.'" data_info="'."Consigne Moyenne HWB"
										.'" title="hwb" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Consigne Hwb</span></a>';
								/*  */
								if ($eqcount > 1) {
									echo '</div>';
								} 
								 
							//}  //fin if
							
					   }
					  $i++;

					 ?>	
                    
                    
                    
                   
             	 </div>
             	 
             	 
             	<!--     **** Statistiques Mensuelles ****    -->
             	  <a href="#statistic_m" class="list-group-item list-group-item" data-toggle="collapse" data-parent="#historicMenu" style="color:#f7f7f7; background-color :#353A40">
					<i class="fas fa-calendar" style="margin-left:-5px"></i> Statistiques Mensuelles<i class="fas fa-caret-down" style="margin-left:5px; color:#f7f7f7; background-color :#353A40" ></i></a>
                <div class="collapse statistic_month" id="statistic_m">
                    
                    <?php 
						$eqcount= count(migoThermostatGraph::treeById('migoThermostat','enable'));
						$i=1;
						foreach (migoThermostatGraph::treeById('migoThermostat','enable') as $eqlogic) {
							   
							if ($eqcount > 1) {
								$type = $eqlogic->getConfiguration('type');
								
								echo '<a href="#SubMenu' . $i .'" class="list-group-item" data-toggle="collapse" style="color:#f7f7f7; background-color :#353A40" data-parent="#SubMenu' . $i .'">
									<span>'.$eqlogic->getName().'</span> <i class="fas fa-caret-down"></i></a>';
								echo '<div class="collapse list-group-submenu statistic_month" id="SubMenu' . $i .'">';
							 }   
								echo '<a href="#" class="list-group-item temp" data-parent="#SubMenu' . $i .'"  style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" natype="'.$eqlogic->getConfiguration('type')
										.'" data_a="'."min_temp,max_temp"
										.'" data_info="'."min,max"
										.'" title="tem" >
										<span style="margin-left:20px"><i class="fas fa-thermometer-full" style="margin-right:5px"></i> 
										Temp Min-Max</span></a>';
								echo '<a href="#" class="list-group-item cons" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."Temperature,Sp_Temperature"
										.'" data_info="'."Temp,Cons"
										.'" title="cons" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Consigne</span></a>';
								echo '<a href="#" class="list-group-item boiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."BoilerOn,BoilerOff"
										.'" data_info="'."B_On,B_Off"
										.'" title="boiler" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										boiler</span></a>';
								echo '<a href="#" class="list-group-item hwb" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."flow_setpoint"
										.'" data_info="'."HWB"
										.'" title="hwb" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Consigne Hwb</span></a>';
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."energy_gaz_heating,energy_gaz_hot_water"
										.'" data_info="'."Gaz_H,Gaz_W"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Moy-Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."energy_elec_heating,energy_elec_hot_water"
										.'" data_info="'."Elec_H,Elec_W"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Moy-Elec</span></a>';
								echo '<a href="#" class="list-group-item sumboiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_boiler_on,sum_boiler_off"
										.'" data_info="'."SB_On,SB_Off"
										.'" title="cons" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Durée On-Off</span></a>';
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_energy_gaz_heating,sum_energy_gaz_hot_water"
										.'" data_info="'."Gaz_H,Gaz_W"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso_Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_a="'."sum_energy_elec_heating,sum_energy_elec_hot_water"
										.'" data_info="'."Elec_H,Elec_W"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso_Elec</span></a>';
							if ($eqcount > 1) {
								echo '</div>';
							}  //fin if
							
					   }
					  $i++;

					 ?>
                    
             	</div>
				<!-- div class="collapse" id="statistic_m" -->	 
                    
                 <!--     **** Stats Détail ****    -->
             	  <a href="#statistic_d" class="list-group-item list-group-item" data-toggle="collapse" data-parent="#historicMenu" style="color:#f7f7f7; background-color :#353A40">
					<i class="fas fa-tachometer-alt" style="margin-left:-5px"></i> Détail Mensuelles<i class="fas fa-caret-down" style="margin-left:5px;" ></i></a>
                <div class="collapse statistic_detail" id="statistic_d">
                    
					<?php 
						$eqcount= count(migoThermostatGraph::treeById('migoThermostat','enable'));
						$i=1;
						foreach (migoThermostatGraph::treeById('migoThermostat','enable') as $eqlogic) {
							   
							if ($eqcount > 1) {
								$type = $eqlogic->getConfiguration('type');
								echo '<a href="#SubMenu' . $i .'" class="list-group-item" data-toggle="collapse" style="color:#f7f7f7; background-color :#353A40" data-parent="#SubMenu' . $i .'">
									<span>'.$eqlogic->getName().'</span> <i class="fas fa-caret-down"></i></a>';
								echo '<div class="collapse list-group-submenu statistic_detail" id="SubMenu' . $i .'">';
							}   
								echo '<a href="#" class="list-group-item temp" data-parent="#SubMenu' . $i .'"  style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" natype="'.$eqlogic->getConfiguration('type')
										.'" data_rqst="'."min_temp,max_temp,Temperature,Sp_Temperature,sum_energy_gaz_heating,sum_energy_gaz_hot_water,sum_gaz,taux,puiss"
										.'" data_name="'."Temp-min,Temp-max,Temp,Cons,Gaz_H,Gaz_W,Tot_Gaz,Durée_On,Puiss Kw/h"
										.'" title="tem" >
										<span style="margin-left:20px"><i class="fas fa-thermometer-full" style="margin-right:5px"></i> 
										Data 1</span></a>';
								echo '<a href="#" class="list-group-item hwb" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."flow_setpoint,sum_boiler_on,sum_boiler_off,sum_energy_elec_heating,sum_energy_elec_hot_water,sum_elec"
										.'" data_name="'."HWB,SB_On,SB_Off,Elec Heat,Elec ECS,Elec Tot"
										.'" title="hwb" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Data 2</span></a>';
								/*
								
								echo '<a href="#" class="list-group-item cons" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."min_temp,max_temp"
										.'" data_name="'."Temp-min,Temp-max"
										.'" title="cons" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Consigne</span></a>';
								echo '<a href="#" class="list-group-item boiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."BoilerOn,BoilerOff"
										.'" data_name="'."B_On,B_Off"
										.'" title="boiler" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										boiler</span></a>';
								
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."energy_gaz_heating,energy_gaz_hot_water"
										.'" data_name="'."Gaz_H,Gaz_W"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Moy-Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."energy_elec_heating,energy_elec_hot_water"
										.'" data_name="'."Elec_H,Elec_W"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Moy-Elec</span></a>';
								echo '<a href="#" class="list-group-item sumboiler" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."sum_boiler_on,sum_boiler_off"
										.'" data_name="'."SB_On,SB_Off"
										.'" title="cons" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
										Durée On-Off</span></a>';
								echo '<a href="#" class="list-group-item gaz" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."sum_energy_gaz_heating,sum_energy_gaz_hot_water"
										.'" data_name="'."Gaz_H,Gaz_W"
										.'" title="gaz" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso_Gaz</span></a>';
								echo '<a href="#" class="list-group-item elec" data-parent="#SubMenu' . $i .'" style="color:#f7f7f7; background-color :#353A40" value="'.$eqlogic->getLogicalId()
										.'" data_rqst="'."sum_energy_elec_heating,sum_energy_elec_hot_water"
										.'" data_name="'."Elec_H,Elec_W"
										.'" title="elec" >
										<span style="margin-left:20px"><i class="fas fa-tint" style="margin-right:5px"></i>
											Conso_Elec</span></a>';
								*/
							if ($eqcount > 1) {
								echo '</div>'; 
							}
								
						}
						$i++;
					?>
                    
             	</div>
				<!-- div class="collapse" id="statistic_m" -->	 
                     
			</div>
			<!-- div class="list-group panel" -->
             	
             	
              
              
              </div>
        <!-- div id="historicMenu" -->
		</div>     
		<!-- div compare_sonde -->
	</div>        
    <!-- class="row"-->
</div>
<!-- class="panel"-->
</section>



<?php include_file('desktop', 'style', 'css', 'migoThermostat');?>
<?php include_file('desktop', 'migopanel', 'js', 'migoThermostat');?>
<?php include_file('3rdparty/', 'datepicker_fr', 'js', 'migoThermostat');?>
<script type="text/javascript" >

		//initScreen()
		$(' #statistics').hide();
		$('ul.nav-tabs.eqtabs li.active').removeClass('active');
		$('ul.nav-tabs.eqtabs li :first').parent('li').addClass('active');
		$('.btndata a:first').addClass('active');
		$('.btn-group a.active:first').removeClass('active');
		$('.btn-group a:first').addClass("active");
		
		var current_begin = parseInt(Math.round(+new Date() / 1000) - 24*3600 ),	
			current_end = Math.round(+new Date() / 1000),
			device_id = $('ul.nav-tabs.eqtabs li :first').attr('data-type'),
			module_id = $('ul.nav-tabs.eqtabs li :first').attr('value'),
			//scale ="1hour",
			scale = $('.btn-group a.active:first').attr('id'),
			type = $('.btndata a.active:first').attr('id'),
			subtitle =$('.btndata a.active:first').attr('name'),
			date_begin = current_begin ,	
			date_end = current_end,
			limit = 1024,
			real_time = 'FALSE'
			;
			//alert(current_begin+ '--'+current_end)
		ajaxRequest(device_id, module_id, scale, type, current_begin, current_end, limit, subtitle, real_time, info = true);
		
		
		$('#select_date_begin').val('');
		$('#select_date_end').val('');
			
	
//var acc = document.getElementsByClassName("accordion");
/*var i;

for (i = 0; i < acc.length; i++) {
    acc[i].onclick = function(){
        // Toggle between adding and removing the "active" class,
        //to highlight the button that controls the migoPanel 
        this.classList.toggle("active");

        //Toggle between hiding and showing the active migoPanel 
        var migopanel = this.nextElementSibling;
        if (migopanel.style.display === "block") {
            migopanel.style.display = "none";
        } else {
            migopanel.style.display = "block";
        }
    }
}
*/
var d = new Date();
var n = d.getFullYear();
</script>